Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.internal.server.runner
Class WebappTestSuiteLoader

    java.lang.Object
      org.apache.cactus.internal.server.runner.WebappTestSuiteLoader

All Implemented Interfaces:
  junit.runner.TestSuiteLoader

public class WebappTestSuiteLoader
extends java.lang.Object
implements junit.runner.TestSuiteLoader

Dynamic class loader to load classes from the webapp classpath.

Version:
  $Id: WebappTestSuiteLoader.java 238991 2004-05-22 11:34:50Z vmassol $

Constructor Summary
`WebappTestSuiteLoader()`

Method Summary
`java.lang.Class` | `load(java.lang.String theSuiteClassName)` Try to load the test suite class using both the context class loader or the class loader that loaded this class.
`java.lang.Class` | `reload(java.lang.Class theClass)` Not implemented.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebappTestSuiteLoader

    public WebappTestSuiteLoader()

Method Detail

### load

    public java.lang.Class load(java.lang.String theSuiteClassName)
                         throws java.lang.ClassNotFoundException

  Try to load the test suite class using both the context class loader or the class loader that loaded this class.

  Specified by:
    `load` in interface `junit.runner.TestSuiteLoader`
  Parameters:
    `theSuiteClassName` - the test suite class to load
  Returns:
    the test suite class object
  Throws:
    `java.lang.ClassNotFoundException` - if failed to load the class

### reload

    public java.lang.Class reload(java.lang.Class theClass)
                           throws java.lang.ClassNotFoundException

  Not implemented. Used to reload a class.

  Specified by:
    `reload` in interface `junit.runner.TestSuiteLoader`
  Parameters:
    `theClass` - the class to reload
  Returns:
    the reloaded class
  Throws:
    `java.lang.ClassNotFoundException` - if an error occurs during reloading

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.